Bug 254142 - Review Request: OpenSER - Open Source SIP Server
Summary: Review Request: OpenSER - Open Source SIP Server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan ONDREJ
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-24 13:30 UTC by Peter Lemenkov
Modified: 2007-12-28 17:14 UTC (History)
5 users (show)

Fixed In Version: 1.3.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-28 17:12:09 UTC
Type: ---
ondrejj: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2007-08-24 13:30:00 UTC
Spec URL: http://peter.fedorapeople.org/openser.spec
SRPM URL: http://peter.fedorapeople.org/openser-1.2.2-1.fc7.src.rpm

Description: OpenSER or OPEN SIP Express Router is a very fast and flexible SIP (RFC3261)
proxy server. Written entirely in C, openser can handle thousands calls
per second even on low-budget hardware. A C Shell like scripting language
provides full control over the server's behaviour. It's modular
architecture allows only required functionality to be loaded.
Currently the following modules are available: digest authentication,
CPL scripts, instant messaging, MySQL and UNIXODBC support, a presence agent,
radius authentication, record routing, an SMS gateway, a jabber gateway, a 
transaction and dialog module, OSP module, statistics support, 
registrar and user location.

Comment 1 Peter Lemenkov 2007-08-24 13:31:28 UTC
Actually it's still in work-in-progress stage (I want to better modularize it),
but almost ready.

Comment 2 Peter Lemenkov 2007-08-26 06:45:12 UTC
New version - 1.2.2-4

http://peter.fedorapeople.org/openser.spec
http://peter.fedorapeople.org/openser-1.2.2-4.fc7.src.rpm

%changelog

* Sun Aug 26 2007 Peter Lemenkov <lemenkov@gmail.com> 1.2.2-4
- Introduced acc and acc_radius modules (Jan Ondrej)
- Dropped radius_accounting condition

* Sat Aug 25 2007 Peter Lemenkov <lemenkov@gmail.com> 1.2.2-3
- Changed license according to Fedora's policy
- Make rpmlint more silent

* Fri Aug 24 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> 1.2.2-2
- added openser.init script
- removed Patch0: openser--Makefile.diff and updated build section
- spec file is 80 characters wide
- added radius_accounting condition

Comment 3 Peter Lemenkov 2007-08-27 10:54:23 UTC
New rev. - 1.2.2-6

http://peter.fedorapeople.org/openser.spec
http://peter.fedorapeople.org/openser-1.2.2-6.fc7.src.rpm

%changelog

* Sun Aug 26 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> 1.2.2-6
- Fedora Core 6 build updates
- changed attributes for openser.init to be rpmlint more silent

* Sun Aug 26 2007 Peter Lemenkov <lemenkov@gmail.com> 1.2.2-5
- fixed paths for openssl libs and includes


Comment 4 Jan ONDREJ 2007-09-06 09:00:59 UTC
Package Review:

Use parallel make
  - Support parallel make when possible (check the section
    "Parallel make" of
    http://fedoraproject.org/wiki/Packaging/Guidelines )
You can try to add %{?_smp_mflags} to make parameters.

May be "install -p" need to be used to preserve init script modification time.

I think you can remove commented requires.

New spec an rpm:
http://www.salstar.sk/pub/fedora/SPECS/openser.spec
http://www.salstar.sk/pub/fedora/SRPMS/7/openser-1.2.2-7.fc7.src.rpm


Comment 5 Peter Lemenkov 2007-09-06 15:07:16 UTC
Thanks for additions.

One more thing - missing BuildRequire: which

http://peter.fedorapeople.org/openser.spec
http://peter.fedorapeople.org/openser-1.2.2-8.fc7.src.rpm


Comment 6 Jan ONDREJ 2007-09-24 16:31:11 UTC
"which" does not needed to be in buildrequires, see:
  http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions

All documentation files need to be in UTF-8.

More updates from changelog:
- added reload section to init script
  this is needed by rpmlint
- init script specified with initrddir macro
  http://fedoraproject.org/wiki/Packaging/RPMMacros
- documentation converted to UTF-8
  guidelines: - MUST: All filenames in rpm packages must be valid UTF-8.
- added doc macro for documentation
- documentation moved do proper place (/usr/share/doc/NAME-VERSION/)
- unixodbc subpackage summary update (word order changed to start with upper
case letter)

http://www.salstar.sk/pub/fedora/SRPMS/7/openser-1.2.2-9.fc7.src.rpm

I see only one thing left. Perl subpackage need to be in perl5/site... directory
or not?


Comment 7 Peter Lemenkov 2007-12-12 11:10:25 UTC
New prerelease snapshot - 1.3.0pre1

http://peter.fedorapeople.org/openser.spec
http://peter.fedorapeople.org/openser-1.3.0-0.1.pre1.fc7.src.rpm


Comment 9 Jan ONDREJ 2007-12-13 19:19:11 UTC
Just this warning displayed by rpmlint on all packages.

openser.i386: W: service-default-enabled /etc/rc.d/init.d/openser

This warning can be ignored, anybody who installs openser want use it. :-)

APPROVED

Peter: Can you add me to package owners?

Comment 10 Jason Tibbitts 2007-12-13 19:29:54 UTC
If you've reviewed this, please assign it to yourself.

Comment 11 Jan ONDREJ 2007-12-13 20:02:48 UTC
OK, assigned to me.

Comment 12 Peter Lemenkov 2007-12-13 20:10:49 UTC
New Package CVS Request
=======================
Package Name: openser
Short Description: Open Source SIP Server
Owners: peter,ondrejj
Branches: F-7 F-8 EL-4 EL-5
Cvsextras Commits: yes


Comment 13 Jan ONDREJ 2007-12-13 20:25:25 UTC
Do you know, that this package does not build on EL-4?
ERROR: Bad build req: No Package Found for radiusclient-ng-devel. Exiting.

PS: see icq :)


Comment 14 Kevin Fenzi 2007-12-14 16:32:30 UTC
Peter: Do you still want the EL-4 branch, given comment #13? 



Comment 15 Jan ONDREJ 2007-12-14 17:27:33 UTC
Peter's answer: yes I know - I'll ping maintainer of radiusclient-ng to create
EL-4 branch for it

Comment 16 Kevin Fenzi 2007-12-14 19:49:01 UTC
cvs done.

Comment 17 Fedora Update System 2007-12-15 17:46:42 UTC
openser-1.3.0-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openser'

Comment 18 Fedora Update System 2007-12-15 17:47:51 UTC
openser-1.3.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openser'

Comment 19 Fedora Update System 2007-12-28 17:12:07 UTC
openser-1.3.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2007-12-28 17:14:04 UTC
openser-1.3.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.